LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 08-03-2006, 01:40 PM   #1
alok.rhct
Member
 
Registered: Dec 2005
Posts: 75

Rep: Reputation: 16
kerel compilation error


hi all,

i was trying to install redhat kernel 2.6.34. rpm
got error:
dpendencies
kernel uses mkinitrd 4.2.X.

i was tring install this mkinitrd 4.2 rpm
with rpm -ivh
it install successfully,but again the kernel gives same error.

pls help me how i proceed.
 
Old 08-03-2006, 01:44 PM   #2
MasterOfTheWind
Member
 
Registered: Jul 2004
Distribution: Arch, Debian sid, Kubuntu, Slackware 11
Posts: 324

Rep: Reputation: 30
Ehm... kernel 2.6.34?? Am I missing something? Isn't the current stable kernel version 2.6.17.7? And the unstable is 2.6.18? How come do you have kernel of a version that is far higher than this? Or is it may be some Red Hat specific stuff? Have never used their distro...
 
Old 08-03-2006, 01:51 PM   #3
MasterOfTheWind
Member
 
Registered: Jul 2004
Distribution: Arch, Debian sid, Kubuntu, Slackware 11
Posts: 324

Rep: Reputation: 30
Woopsy, forget my comment above.... Just googled the subject, and indeed it is som RH specific stuff... Sorry
 
Old 08-03-2006, 04:09 PM   #4
alok.rhct
Member
 
Registered: Dec 2005
Posts: 75

Original Poster
Rep: Reputation: 16
how can in update my mkinitrd.

i have mkinitrd 4.1 and i want mkinitrd 4.2 .
i got the src.rpm of mkinitrd 4.2.6 and installed as

rpm -ivh mkinitrd 4.... its running sussfully but when i use

mkinitrd --version it results in the older on(i.e mkinitrd 4.1)

how will i update it as i am compiling the kernel which gives dependences Errror.

pls help
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Kernel compilation error: Error 15: File not found Niceman2005 Linux - General 9 10-04-2007 03:45 AM
Compiling and Installing a new Kerel for first timers Timberwolf753 Slackware 3 06-15-2006 11:19 AM
Howto enable 2.6 kerel sound mohapi Linux - Hardware 17 05-02-2006 03:03 AM
Kerel Panic problem jester_69 Linux - General 3 06-16-2003 07:46 AM
Sqwebmail compilation error ... [maildirsearchC.o] Error 1 boogie_maan Linux - Software 0 10-26-2002 07:21 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 02:22 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration